stages:
  - build-dev

build-job:
  stage: build-dev
  tags:
    - deploy-develop
  only:
    - deploy-develop
  variables:
    APP_ID: $DEVELOP_APP_ID
    API_KEY: $DEVELOP_API_KEY
    AUTH_DOMAIN: $DEVELOP_AUTH_DOMAIN
    PROJECT_ID: $DEVELOP_PROJECT_ID
    STORAGE_BUCKET: $DEVELOP_STORAGE_BUCKET
    MESSAGING_SENDER_ID: $DEVELOP_MESSAGING_SENDER_ID
    MEASUREMENT_ID: $DEVELOP_MEASUREMENT_ID
  before_script:
    - curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.3/install.sh | bash
    - source ~/.nvm/nvm.sh
    - nvm install v20.9.0
    - nvm use v20.9.0
    - npm install pm2 -g
  script:
    - npm install
    - cp .env.example .env.local
    # - npm run build
    - pm2 start ecosystem.config.js
  after_script:
    - echo "build completed!"
